Bug 1121581 - [Scale] - Engine reports wrong memory utilization for hosts
Summary: [Scale] - Engine reports wrong memory utilization for hosts
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Martin Sivák
QA Contact:
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 09:30 UTC by Eldad Marciano
Modified: 2016-08-09 17:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 16:48:23 UTC
oVirt Team: SLA


Attachments (Terms of Use)

Description Eldad Marciano 2014-07-21 09:30:55 UTC
Description of problem:
During the scale test ramp up, i found the hosts in our setup with 100% memory utilization.
due to the following situation, all of the vms are shutdown and the engine still reported 100% memory utilization for the hosts in time that virtual machine is 0.


not sure if this problems related to scale.

logs are not available.

Version-Release number of selected component (if applicable):
3.4.1-0.30.el6ev

How reproducible:

Steps to Reproduce:
1. configured the cluster to 200% over commit.
2. start pumping vms to host, more than physical memory size.
(if physical memory is 64GB and over commit 200%, build up vms with 1 GB ram * 128).

Actual results:
when shunting down vms, engine still showing the same memory utilization state (100% utilization).

Expected results:
engine shouldn't report 100% memory utilization while no vms are running.

Additional info:

Comment 1 Martin Sivák 2014-07-22 08:20:26 UTC
Have you waited long enough? It takes time for the stats counters to bubble through all the layers.. especially when the host is under heavy load.

Comment 2 Eldad Marciano 2014-07-27 09:40:11 UTC
yes, i think more than 1 night.

Comment 3 Martin Sivák 2014-08-27 09:22:24 UTC
Were there any migrations before you started shutting down hosts?
Can you try again with DEBUG enabled and give us the logs?
What did the webadmin say in the "Max free Memory for scheduling new VMs" fields (Host tab)?

Comment 4 Eldad Marciano 2014-10-07 12:48:12 UTC
pending due to storage issue
i'll update and reproduced when able.

Comment 5 Martin Sivák 2014-10-31 10:19:09 UTC
Any updates?

Comment 6 Doron Fediuck 2014-11-17 16:48:23 UTC
Please re-open once the data is available.

Comment 7 Fabrício Cabeça 2016-08-09 17:48:32 UTC
Not sure if it is the same bug, in a setup of 10 hosts here 2 of them were reporting the wrong memory size (95%), no VMs running on them. The real used memory was about 2GB out of 32GB, I believe it was wrongly reporting cached memory as real used memory, freeing the cache with echo '3 > /proc/sys/vm/drop_caches' made it report the right real usage. Could it be related to this one ? Should I open a new one ?

System: Centos7 x64
Ovirt Version: 3.6.7.5-1.el7.centos


Note You need to log in before you can comment on or make changes to this bug.